com.informix.csm

## Interface IfxCsm

All Known Implementing Classes:
  Crypto, Gsscsm, IfxEncCsm, IfxGssCsm

    public interface IfxCsm

This interface is to be implemented by all classes that are intended to be used as CSM (Communication Support Modules ) For encryption CSM we have implemented this interface in com.informix.csm.crypto.IfxEncCsm

### Nested Class Summary

Nested Classes
`static class` `IfxCsm.AbortInfo`
`static class` `IfxCsm.Credentials`
`static class` `IfxCsm.Status`

### Field Summary

Fields
`static int` `CSM_AUTH_ERROR`
`static int` `CSM_AUTHENTICATION_ERROR`
`static int` `CSM_DISCONNECT`
`static int` `CSM_DONE`
`static int` `CSM_DONE_MORE_OUTPUT_AVAILABLE`
`static int` `CSM_ERROR`
`static int` `CSM_FILE_IO_ERROR`
`static int` `CSM_INTERNAL_PROCESSING_ERROR`
`static int` `CSM_INVALID_CONTEXT`
`static int` `CSM_INVALID_CTX_OPTIONS`
`static int` `CSM_INVALID_INIT_OPTIONS`
`static int` `CSM_MAX_ERROR`
`static int` `CSM_MEM_ALLOC_ERROR`
`static int` `CSM_MEM_FREE_ERROR`
`static int` `CSM_MIN_ERROR`
`static int` `CSM_MORE_INPUT_NEEDED`
`static int` `CSM_MSG_OF_UNEXPECTED_TYPE`
`static int` `CSM_NO_LOCAL_CREDENTIALS`
`static int` `CSM_PROTOCOL_ERROR`
`static long` `CSM_RECV_OK`
`static long` `CSM_SEND_OK`
`static int` `CSM_SENDTOPEER`
`static int` `CSM_SENDTOPEER_MORE_OUTPUT_AVAILABLE`
`static int` `CSM_UNSUPPORTED_FEATURE`
`static int` `FUNCFAIL`
`static int` `FUNCSUCC`
`static java.lang.String` `INFORMIX_CSM_INTERFACE`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `ifxCsmAbortContext(java.lang.Object csmContext, IfxCsm.AbortInfo abortInfo, IfxCsm.Status status)`
`int` `ifxCsmAcceptContext(java.lang.Object csmContext, IfxCsm.Credentials cred, IfxCsmReadBuffer inHandshake, IfxCsmBuffer outHandShake, java.lang.String contextInitString, IfxCsm.Status status)`
`int` `ifxCsmCreateContext(IfxCsm.Credentials cred, IfxCsmReadBuffer inHandshake, IfxCsmBuffer outHandShake, java.lang.String contextInitString, IfxCsm.Status status)`
`long` `ifxCsmGetAttributeFlags(IfxCsm.Status status)`
`int` `ifxCsmInit(java.lang.String csmInitString, long flags, IfxCsm.Status status)`
`int` `ifxCsmProcessInMessage(IfxCsmReadBuffer inHandshake, IfxCsmBuffer outHandShake, IfxCsm.Status status)`
`int` `ifxCsmProcessOutMessage(IfxCsmReadBuffer inHandshake, IfxCsmBuffer outHandShake, IfxCsm.Status status)`
`int` `ifxCsmReleaseContext(IfxCsmReadBuffer inHandshake, IfxCsmBuffer outHandShake, IfxCsm.Status status)`
`int` `ifxCsmTerminate(IfxCsm.Status status)`

### Field Detail

#### INFORMIX_CSM_INTERFACE

    static final java.lang.String INFORMIX_CSM_INTERFACE

See Also:
  Constant Field Values

#### CSM_SEND_OK

    static final long CSM_SEND_OK

See Also:
  Constant Field Values

#### CSM_RECV_OK

    static final long CSM_RECV_OK

See Also:
  Constant Field Values

#### FUNCSUCC

    static final int FUNCSUCC

See Also:
  Constant Field Values

#### FUNCFAIL

    static final int FUNCFAIL

See Also:
  Constant Field Values

#### CSM_DONE

    static final int CSM_DONE

See Also:
  Constant Field Values

#### CSM_DONE_MORE_OUTPUT_AVAILABLE

    static final int CSM_DONE_MORE_OUTPUT_AVAILABLE

See Also:
  Constant Field Values

#### CSM_SENDTOPEER

    static final int CSM_SENDTOPEER

See Also:
  Constant Field Values

#### CSM_SENDTOPEER_MORE_OUTPUT_AVAILABLE

    static final int CSM_SENDTOPEER_MORE_OUTPUT_AVAILABLE

See Also:
  Constant Field Values

#### CSM_MORE_INPUT_NEEDED

    static final int CSM_MORE_INPUT_NEEDED

See Also:
  Constant Field Values

#### CSM_MIN_ERROR

    static final int CSM_MIN_ERROR

See Also:
  Constant Field Values

#### CSM_MAX_ERROR

    static final int CSM_MAX_ERROR

See Also:
  Constant Field Values

#### CSM_ERROR

    static final int CSM_ERROR

See Also:
  Constant Field Values

#### CSM_MEM_ALLOC_ERROR

    static final int CSM_MEM_ALLOC_ERROR

See Also:
  Constant Field Values

#### CSM_MEM_FREE_ERROR

    static final int CSM_MEM_FREE_ERROR

See Also:
  Constant Field Values

#### CSM_FILE_IO_ERROR

    static final int CSM_FILE_IO_ERROR

See Also:
  Constant Field Values

#### CSM_INVALID_CONTEXT

    static final int CSM_INVALID_CONTEXT

See Also:
  Constant Field Values

#### CSM_UNSUPPORTED_FEATURE

    static final int CSM_UNSUPPORTED_FEATURE

See Also:
  Constant Field Values

#### CSM_INVALID_INIT_OPTIONS

    static final int CSM_INVALID_INIT_OPTIONS

See Also:
  Constant Field Values

#### CSM_INVALID_CTX_OPTIONS

    static final int CSM_INVALID_CTX_OPTIONS

See Also:
  Constant Field Values

#### CSM_DISCONNECT

    static final int CSM_DISCONNECT

See Also:
  Constant Field Values

#### CSM_AUTH_ERROR

    static final int CSM_AUTH_ERROR

See Also:
  Constant Field Values

#### CSM_INTERNAL_PROCESSING_ERROR

    static final int CSM_INTERNAL_PROCESSING_ERROR

See Also:
  Constant Field Values

#### CSM_PROTOCOL_ERROR

    static final int CSM_PROTOCOL_ERROR

See Also:
  Constant Field Values

#### CSM_MSG_OF_UNEXPECTED_TYPE

    static final int CSM_MSG_OF_UNEXPECTED_TYPE

See Also:
  Constant Field Values

#### CSM_NO_LOCAL_CREDENTIALS

    static final int CSM_NO_LOCAL_CREDENTIALS

See Also:
  Constant Field Values

#### CSM_AUTHENTICATION_ERROR

    static final int CSM_AUTHENTICATION_ERROR

See Also:
  Constant Field Values

### Method Detail

#### ifxCsmInit

    int ifxCsmInit(java.lang.String csmInitString,
                   long flags,
                   IfxCsm.Status status)
            throws IfxCsmException

Throws:
  `IfxCsmException`

#### ifxCsmTerminate

    int ifxCsmTerminate(IfxCsm.Status status)
                 throws IfxCsmException

Throws:
  `IfxCsmException`

#### ifxCsmGetAttributeFlags

    long ifxCsmGetAttributeFlags(IfxCsm.Status status)
                          throws IfxCsmException

Throws:
  `IfxCsmException`

#### ifxCsmCreateContext

    int ifxCsmCreateContext(IfxCsm.Credentials cred,
                            IfxCsmReadBuffer inHandshake,
                            IfxCsmBuffer outHandShake,
                            java.lang.String contextInitString,
                            IfxCsm.Status status)
                     throws IfxCsmException

Throws:
  `IfxCsmException`

#### ifxCsmAcceptContext

    int ifxCsmAcceptContext(java.lang.Object csmContext,
                            IfxCsm.Credentials cred,
                            IfxCsmReadBuffer inHandshake,
                            IfxCsmBuffer outHandShake,
                            java.lang.String contextInitString,
                            IfxCsm.Status status)
                     throws IfxCsmException

Throws:
  `IfxCsmException`

#### ifxCsmProcessOutMessage

    int ifxCsmProcessOutMessage(IfxCsmReadBuffer inHandshake,
                                IfxCsmBuffer outHandShake,
                                IfxCsm.Status status)
                         throws IfxCsmException

Throws:
  `IfxCsmException`

#### ifxCsmProcessInMessage

    int ifxCsmProcessInMessage(IfxCsmReadBuffer inHandshake,
                               IfxCsmBuffer outHandShake,
                               IfxCsm.Status status)
                        throws IfxCsmException

Throws:
  `IfxCsmException`

#### ifxCsmReleaseContext

    int ifxCsmReleaseContext(IfxCsmReadBuffer inHandshake,
                             IfxCsmBuffer outHandShake,
                             IfxCsm.Status status)
                      throws IfxCsmException

Throws:
  `IfxCsmException`

#### ifxCsmAbortContext

    int ifxCsmAbortContext(java.lang.Object csmContext,
                           IfxCsm.AbortInfo abortInfo,
                           IfxCsm.Status status)
                    throws IfxCsmException

Throws:
  `IfxCsmException`